Draft Drawing: Difference between revisions

From FreeCAD Documentation
No edit summary
Line 1: Line 1:
<translate>
{{GuiCommand|Name=Draft_Drawing|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Drawing}}
{{GuiCommand|Name=Draft_Drawing|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Drawing}}


Line 5: Line 6:
This tool allows you to put selected objects on a svg [[Drawing Module|Drawing sheet]]. If no [[Drawing_templates|sheet]] exists in the document, a default one will be created.
This tool allows you to put selected objects on a svg [[Drawing Module|Drawing sheet]]. If no [[Drawing_templates|sheet]] exists in the document, a default one will be created.


</translate>
[[Image:Draft drawing example.jpg|400px]]
[[Image:Draft drawing example.jpg|640px]]
<translate>


==How to use==
==How to use==
Line 29: Line 32:
The Draft Drawing tool can by used in [[macros]] and from the python console by using the following function:
The Draft Drawing tool can by used in [[macros]] and from the python console by using the following function:


</translate>
'''makeDrawingView (object,page)''': adds a view of the given object to the given page. Returns the created view object.
<syntaxhighlight>
makeDrawingView (object,page)
</syntaxhighlight>
<translate>

* Adds a view of the given object to the given page.
* Returns the created view object.


Example:
Example:


</translate>
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)
Draft.makeDrawingView(obj,page)
</syntaxhighlight>


<languages/>
{{languages | {{es|Draft Drawing/es}} {{fr|Draft Drawing/fr}} {{it|Draft Drawing/it}} {{se|Draft Drawing/se}} }}

Revision as of 23:11, 13 February 2014

Draft_Drawing

Menu location
Drafting -> Drawing
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool allows you to put selected objects on a svg Drawing sheet. If no sheet exists in the document, a default one will be created.

How to use

  1. Select the objects you wish to put on a drawing sheet
  2. Press the Draft Drawing button

Options

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • DataFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • DataFont Size: Allows you to specify the font size of texts and dimensions.
  • DataLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

 makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

 import FreeCAD,Draft
 obj = FreeCAD.ActiveDocument.ActiveObject
 page = FreeCAD.ActiveDocument.Page
 Draft.makeDrawingView(obj,page)